# BarcodeFormat enum

Barcode symbology used.

Inheritance
  - Object
  - Enum
  - BarcodeFormat

## Constructors

BarcodeFormat()
  const

## Values

AZTEC → const BarcodeFormat

  Aztec barcode type

CODABAR → const BarcodeFormat

  Codabar barcode type

CODE_25 → const BarcodeFormat

  Code 25 barcode type

CODE_39 → const BarcodeFormat

  Code 39 barcode type

CODE_93 → const BarcodeFormat

  Code 93 barcode type

CODE_128 → const BarcodeFormat

  Code 128 barcode type

DATA_MATRIX → const BarcodeFormat

  Data Matrix barcode type

EAN_8 → const BarcodeFormat

  EAN-8 barcode type

EAN_13 → const BarcodeFormat

  EAN-13 barcode type

ITF → const BarcodeFormat

  ITF (Interleaved 2 of 5) barcode type

PDF_417 → const BarcodeFormat

  PDF417 barcode type

QR_CODE → const BarcodeFormat

  QR Code barcode type

MICRO_QR_CODE → const BarcodeFormat

  Micro QR Code barcode type

DATABAR → const BarcodeFormat

  Databar barcode type

DATABAR_EXPANDED → const BarcodeFormat

  Databar Expanded barcode type

UPC_A → const BarcodeFormat

  UPC-A barcode type

UPC_E → const BarcodeFormat

  UPC-E barcode type

MSI_PLESSEY → const BarcodeFormat

  MSI Plessey barcode type

IATA_2_OF_5 → const BarcodeFormat

  IATA 2 of 5 barcode type

INDUSTRIAL_2_OF_5 → const BarcodeFormat

  Industrial 2 of 5 barcode type

USPS_INTELLIGENT_MAIL → const BarcodeFormat

  USPS Intelligent Mail (aka USPS OneCode, USPS-STD-11)

ROYAL_MAIL → const BarcodeFormat

  Royal Mail Four-State Customer Code, (aka RM4SCC, CBC, BPO 4 State Code)

JAPAN_POST → const BarcodeFormat

  Japan Post Four-State Barcode

ROYAL_TNT_POST → const BarcodeFormat

  Royal TNT Post Four-State Barcode (aka KIX, Klant IndeX)

AUSTRALIA_POST → const BarcodeFormat

  Australia Post Four-State Customer Code

DATABAR_LIMITED → const BarcodeFormat

  GS1 DataBar Limited

GS1_COMPOSITE → const BarcodeFormat

  GS1 Composite

MICRO_PDF_417 → const BarcodeFormat

  Databar micro pdf 417

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
index → int
  A numeric identifier for the enumerated value.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<BarcodeFormat>
  A constant List of the values in this enum, in order of their declaration.